Class: Aws::S3::Types::ListObjectsOutput

Inherits:
Struct
  • Object
show all
Defined in:
gems/aws-sdk-s3/lib/aws-sdk-s3/types.rb

Overview

Constant Summary collapse

SENSITIVE =
[]

Instance Attribute Summary collapse

Instance Attribute Details

#common_prefixesArray<Types::CommonPrefix>

All of the keys (up to 1,000) rolled up in a common prefix count as a single return when calculating the number of returns.

A response can contain CommonPrefixes only if you specify a delimiter.

CommonPrefixes contains all (if there are any) keys between Prefix and the next occurrence of the string specified by the delimiter.

CommonPrefixes lists keys that act like subdirectories in the directory specified by Prefix.

For example, if the prefix is notes/ and the delimiter is a slash (/), as in notes/summer/july, the common prefix is notes/summer/. All of the keys that roll up into a common prefix count as a single return when calculating the number of returns.

Returns:



12064
12065
12066
12067
12068
12069
12070
12071
12072
12073
12074
12075
12076
12077
12078
# File 'gems/aws-sdk-s3/lib/aws-sdk-s3/types.rb', line 12064

class ListObjectsOutput < Struct.new(
  :is_truncated,
  :marker,
  :next_marker,
  :contents,
  :name,
  :prefix,
  :delimiter,
  :max_keys,
  :common_prefixes,
  :encoding_type,
  :request_charged)
  SENSITIVE = []
  include Aws::Structure
end

#contentsArray<Types::Object>

Metadata about each object returned.

Returns:



12064
12065
12066
12067
12068
12069
12070
12071
12072
12073
12074
12075
12076
12077
12078
# File 'gems/aws-sdk-s3/lib/aws-sdk-s3/types.rb', line 12064

class ListObjectsOutput < Struct.new(
  :is_truncated,
  :marker,
  :next_marker,
  :contents,
  :name,
  :prefix,
  :delimiter,
  :max_keys,
  :common_prefixes,
  :encoding_type,
  :request_charged)
  SENSITIVE = []
  include Aws::Structure
end

#delimiterString

Causes keys that contain the same string between the prefix and the first occurrence of the delimiter to be rolled up into a single result element in the CommonPrefixes collection. These rolled-up keys are not returned elsewhere in the response. Each rolled-up result counts as only one return against the MaxKeys value.

Returns:

  • (String)


12064
12065
12066
12067
12068
12069
12070
12071
12072
12073
12074
12075
12076
12077
12078
# File 'gems/aws-sdk-s3/lib/aws-sdk-s3/types.rb', line 12064

class ListObjectsOutput < Struct.new(
  :is_truncated,
  :marker,
  :next_marker,
  :contents,
  :name,
  :prefix,
  :delimiter,
  :max_keys,
  :common_prefixes,
  :encoding_type,
  :request_charged)
  SENSITIVE = []
  include Aws::Structure
end

#encoding_typeString

Encoding type used by Amazon S3 to encode the object keys in the response. Responses are encoded only in UTF-8. An object key can contain any Unicode character. However, the XML 1.0 parser can't parse certain characters, such as characters with an ASCII value from 0 to 10. For characters that aren't supported in XML 1.0, you can add this parameter to request that Amazon S3 encode the keys in the response. For more information about characters to avoid in object key names, see Object key naming guidelines.

When using the URL encoding type, non-ASCII characters that are used in an object's key name will be percent-encoded according to UTF-8 code values. For example, the object test_file(3).png will appear as test_file%283%29.png.

Returns:

  • (String)


12064
12065
12066
12067
12068
12069
12070
12071
12072
12073
12074
12075
12076
12077
12078
# File 'gems/aws-sdk-s3/lib/aws-sdk-s3/types.rb', line 12064

class ListObjectsOutput < Struct.new(
  :is_truncated,
  :marker,
  :next_marker,
  :contents,
  :name,
  :prefix,
  :delimiter,
  :max_keys,
  :common_prefixes,
  :encoding_type,
  :request_charged)
  SENSITIVE = []
  include Aws::Structure
end

#is_truncatedBoolean

A flag that indicates whether Amazon S3 returned all of the results that satisfied the search criteria.

Returns:

  • (Boolean)


12064
12065
12066
12067
12068
12069
12070
12071
12072
12073
12074
12075
12076
12077
12078
# File 'gems/aws-sdk-s3/lib/aws-sdk-s3/types.rb', line 12064

class ListObjectsOutput < Struct.new(
  :is_truncated,
  :marker,
  :next_marker,
  :contents,
  :name,
  :prefix,
  :delimiter,
  :max_keys,
  :common_prefixes,
  :encoding_type,
  :request_charged)
  SENSITIVE = []
  include Aws::Structure
end

#markerString

Indicates where in the bucket listing begins. Marker is included in the response if it was sent with the request.

Returns:

  • (String)


12064
12065
12066
12067
12068
12069
12070
12071
12072
12073
12074
12075
12076
12077
12078
# File 'gems/aws-sdk-s3/lib/aws-sdk-s3/types.rb', line 12064

class ListObjectsOutput < Struct.new(
  :is_truncated,
  :marker,
  :next_marker,
  :contents,
  :name,
  :prefix,
  :delimiter,
  :max_keys,
  :common_prefixes,
  :encoding_type,
  :request_charged)
  SENSITIVE = []
  include Aws::Structure
end

#max_keysInteger

The maximum number of keys returned in the response body.

Returns:

  • (Integer)


12064
12065
12066
12067
12068
12069
12070
12071
12072
12073
12074
12075
12076
12077
12078
# File 'gems/aws-sdk-s3/lib/aws-sdk-s3/types.rb', line 12064

class ListObjectsOutput < Struct.new(
  :is_truncated,
  :marker,
  :next_marker,
  :contents,
  :name,
  :prefix,
  :delimiter,
  :max_keys,
  :common_prefixes,
  :encoding_type,
  :request_charged)
  SENSITIVE = []
  include Aws::Structure
end

#nameString

The bucket name.

Returns:

  • (String)


12064
12065
12066
12067
12068
12069
12070
12071
12072
12073
12074
12075
12076
12077
12078
# File 'gems/aws-sdk-s3/lib/aws-sdk-s3/types.rb', line 12064

class ListObjectsOutput < Struct.new(
  :is_truncated,
  :marker,
  :next_marker,
  :contents,
  :name,
  :prefix,
  :delimiter,
  :max_keys,
  :common_prefixes,
  :encoding_type,
  :request_charged)
  SENSITIVE = []
  include Aws::Structure
end

#next_markerString

When the response is truncated (the IsTruncated element value in the response is true), you can use the key name in this field as the marker parameter in the subsequent request to get the next set of objects. Amazon S3 lists objects in alphabetical order.

This element is returned only if you have the delimiter request parameter specified. If the response does not include the NextMarker element and it is truncated, you can use the value of the last Key element in the response as the marker parameter in the subsequent request to get the next set of object keys.

Returns:

  • (String)


12064
12065
12066
12067
12068
12069
12070
12071
12072
12073
12074
12075
12076
12077
12078
# File 'gems/aws-sdk-s3/lib/aws-sdk-s3/types.rb', line 12064

class ListObjectsOutput < Struct.new(
  :is_truncated,
  :marker,
  :next_marker,
  :contents,
  :name,
  :prefix,
  :delimiter,
  :max_keys,
  :common_prefixes,
  :encoding_type,
  :request_charged)
  SENSITIVE = []
  include Aws::Structure
end

#prefixString

Keys that begin with the indicated prefix.

Returns:

  • (String)


12064
12065
12066
12067
12068
12069
12070
12071
12072
12073
12074
12075
12076
12077
12078
# File 'gems/aws-sdk-s3/lib/aws-sdk-s3/types.rb', line 12064

class ListObjectsOutput < Struct.new(
  :is_truncated,
  :marker,
  :next_marker,
  :contents,
  :name,
  :prefix,
  :delimiter,
  :max_keys,
  :common_prefixes,
  :encoding_type,
  :request_charged)
  SENSITIVE = []
  include Aws::Structure
end

#request_chargedString

If present, indicates that the requester was successfully charged for the request. For more information, see Using Requester Pays buckets for storage transfers and usage in the Amazon Simple Storage Service user guide.

This functionality is not supported for directory buckets.

Returns:

  • (String)


12064
12065
12066
12067
12068
12069
12070
12071
12072
12073
12074
12075
12076
12077
12078
# File 'gems/aws-sdk-s3/lib/aws-sdk-s3/types.rb', line 12064

class ListObjectsOutput < Struct.new(
  :is_truncated,
  :marker,
  :next_marker,
  :contents,
  :name,
  :prefix,
  :delimiter,
  :max_keys,
  :common_prefixes,
  :encoding_type,
  :request_charged)
  SENSITIVE = []
  include Aws::Structure
end